eoFitnessStat(3)

NAME
eoFitnessStat - The fitnesses of a whole population, as a vector.

SYNOPSIS

#include <eoMOFitnessStat.h>

Inherits eoSortedStat< EOT, std::vector< FitT > >.

  Public Member Functions
eoFitnessStat (std::string _description='AllFitnesses')
virtual void operator() (const std::vector< const EOT * > &_popPters)
The pure virtual function that needs to be implemented by the subclass.

Detailed Description

  template<class EOT, class FitT = typename EOT::Fitness> class eoFitnessStat< EOT, FitT >
The fitnesses of a whole population, as a vector.

Definition at line 36 of file eoMOFitnessStat.h.

Author

Generated automatically by Doxygen for EO from the source code.